using System;

class Program
{
    static void Main()
    {
        var red = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
        for(int i = 0; i < red[0]; i++)
        {
            var pom = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
        }
        Console.WriteLine(3);
        Console.ReadLine();
    }
}